<?php
	require_once'auxiliares/funcoes-upload.php';

	$nomearquivo = null;

	if($_FILES['arquivo']['size'] > 0){
		$numero = rand(1,99999999);
		$arquivo = $_FILES['arquivo']['tmp_name'];
		$nomearquivo = $_FILES['arquivo']['name'];
		$nomearquivo= $numero.tratar_arquivo_upload($nomearquivo);

		$sql = $db->prepare("SELECT COUNT(id) qtd FROM arquivos WHERE SUBSTR(arquivo, 1, LENGTH('".$nomearquivo."')) = '".$nomearquivo."'");
		$sql->execute();

		$qtd = $sql->fetchColumn(0);

		$nomearquivo = ($qtd) ? $nomearquivo.'-'.$qtd : $nomearquivo;

		$novo_caminho = "arquivos/$nomearquivo";

		copy($arquivo, $novo_caminho);
	}

	$categoria = $_POST['categoria'];
	$titulo = $_POST['titulo'];
	$descricao = $_POST['descricao'];
	$id = $_POST['id'];

	$sql = $db->prepare("UPDATE arquivos SET categoria = :categoria, titulo = :titulo, arquivo = COALESCE(:arquivo, arquivo), descricao = :descricao WHERE id = :id");

	$sql->bindParam(':categoria', $categoria, PDO::PARAM_INT);
	$sql->bindParam(':titulo', $titulo, PDO::PARAM_STR);
	$sql->bindParam(':arquivo', $arquivo, PDO::PARAM_STR);
	$sql->bindParam(':descricao', $descricao, PDO::PARAM_STR);
	$sql->bindParam(':id', $id, PDO::PARAM_INT);

	$insert = $sql->execute();
?>

<table>
	<tr>
		<td>
			<?php echo ($insert) ? 'Arquivo atualizado com sucesso.' : 'Houve um erro ao atualizar o arquivo'; ?>
			<meta http-equiv="refresh" content="3; url=miolo.php?miolo=files&acao=listar" />
		</td>
	</tr>
</table>